Package ru.bitel.bgbilling.modules.smarthouse.common.service

# Interface ForpostAccountService

public interface ForpostAccountService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `addForpostAccount(int contractId, ForpostAccount forpostAccount)`
  `void`
  `deleteForpostAccount(int id)`
  `void`
  `doSync()`
  `ForpostAccount`
  `getDefaultForpostAccount(int contractId)`
  `ForpostAccount`
  `getForpostAccount(int forpostAccountId)`
  `void`
  `linkForpostAccount(int id, int contractId)`
  `SearchResult<ForpostAccount>`
  `searchForpostAccounts(int contractId, String accountName, String[] sort, Page page)`
  `void`
  `unlinkForpostAccount(int id)`
  `void`
  `updateForpostAccountParam(int forpostAccountId, String name, String value)`

- ## Method Details

  - ### searchForpostAccounts

    SearchResult<ForpostAccount> searchForpostAccounts(int contractId, String accountName, String[] sort, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### doSync

    void doSync() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getDefaultForpostAccount

    ForpostAccount getDefaultForpostAccount(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### addForpostAccount

    int addForpostAccount(int contractId, ForpostAccount forpostAccount) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateForpostAccountParam

    void updateForpostAccountParam(int forpostAccountId, String name, String value) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteForpostAccount

    void deleteForpostAccount(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getForpostAccount

    ForpostAccount getForpostAccount(int forpostAccountId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### unlinkForpostAccount

    void unlinkForpostAccount(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### linkForpostAccount

    void linkForpostAccount(int id, int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`